/*
 *
 *  Copyright (c) Istituto Nazionale di Fisica Nucleare (INFN). 2006-2010.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/**
 * 
 */
package it.grid.storm.health;

import java.util.ArrayList;

import org.slf4j.Logger;

/**
 * @author zappi
 *
 */
public class PerformanceGlance {

    private static Logger PERFLOG = HealthDirector.getPerformanceLogger();

    /**
     *
     * @return StoRMStatus
     */
    public PerformanceStatus haveaLook() {
        HealthDirector.LOGGER.debug("Having a look..");
        PerformanceStatus performanceStatus = null;

        PerformanceBookKeeper pbk = HealthDirector.getHealthMonitor().getPerformanceBookKeeper();

        if (pbk!=null) {
            performanceStatus = pbk.getPerformanceStatus();
            ArrayList<LogEvent> zombies = pbk.removeZombieEvents();
            HealthDirector.LOGGER.debug("Removed # <"+zombies.size()+"> zombies.");
            HealthDirector.LOGGER.debug("have a look : "+performanceStatus);
            // *********************** pbk.cleanLogBook();
        }

        HealthDirector.LOGGER.debug(".. glance ended.");
        return performanceStatus;
    }

}
