/*
 *
 *  Copyright (c) Istituto Nazionale di Fisica Nucleare (INFN). 2006-2010.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package it.grid.storm.synchcall.command;

import it.grid.storm.synchcall.data.InputData;
import it.grid.storm.synchcall.data.OutputData;

public interface Command {

    /**
     * Method that provide SrmRm functionality.
     * 
     * @param inputData
     *            Contains information about input data for rm request.
     * @return RmOutputData Contains output data
     */
    public abstract OutputData execute(InputData inputData);

}